Subject: Re: Questions re: Siemens Negotiations
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 22 Feb 2001 01:34:00 -0800 (PST)

Thanks,

I'll pull it together and let you know what time. I'm shooting for tomorrow.

[email-masked] on 02/21/2001 06:06:17 PM
To: [email-masked]
cc:  

Subject: Re: Questions re: Siemens Negotiations

Rob -
Just spoke with Brad (he's in Seattle sans computer).  He said 11 or noon cst 
on
Friday would be best, but he could manage any time Friday if necessary.  Next
week is open (any time) if we had to push it back.  Let me know & I'll get the
message to Brad.  I'm OK any of those times as well.  Thanks